# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.appsforyourdomain
Class Email

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.appsforyourdomain.Email

All Implemented Interfaces:
  Extension

    public class Email

extends ExtensionPoint
implements Extension

Google Apps for Your Domain schema extension describing the email service. Note that this does not represent a particular email address, like the GData extension Email.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String` `EXTENSION_LOCAL_NAME`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Email()`

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extensionProfile)` Generates an XML representation for the extension.
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`getHandler`

Field Detail

### EXTENSION_LOCAL_NAME

    public static final java.lang.String EXTENSION_LOCAL_NAME

See Also:
  Constant Field Values

Constructor Detail

### Email

    public Email()

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description.

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extensionProfile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Overrides:
    `generate` in class `AbstractExtension`
  Parameters:
    `w` - XML writer
    `extensionProfile` - extension profile
  Throws:
    `java.io.IOException`